Package htsjdk.samtools.cram.compression.rans.rans4x8

# Class RANS4x8Params

java.lang.Object
htsjdk.samtools.cram.compression.rans.rans4x8.RANS4x8Params

All Implemented Interfaces:
  `RANSParams`

public class RANS4x8Params extends Object implements RANSParams

## Nested Class Summary

## Nested classes/interfaces inherited from interface htsjdk.samtools.cram.compression.rans.RANSParams

`RANSParams.ORDER`

## Constructor Summary

Constructors
Constructor
Description
`RANS4x8Params(RANSParams.ORDER order)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getFormatFlags()`
`RANSParams.ORDER`
`getOrder()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RANS4x8Params

public RANS4x8Params(RANSParams.ORDER order)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getOrder

public RANSParams.ORDER getOrder()

Specified by:
  `getOrder` in interface `RANSParams`

### getFormatFlags

public int getFormatFlags()

Specified by:
  `getFormatFlags` in interface `RANSParams`